# FilterDialog Class Reference

`#include <filterdialog.h>`

Inheritance diagram for FilterDialog:

List of all members.

## Public Slots

virtual void | slotAdd ()
virtual void | slotEdit ()
virtual void | slotCopy ()
virtual void | slotDelete ()
virtual void | slotOk ()
virtual void | slotFilterActivated (int)
virtual void | slotAutomaticActivated ()

## Public Member Functions

| FilterDialog (TQWidget *parent=0, const char *name=0)
| ~FilterDialog ()

## Private Attributes

FilterList | _filters

## Detailed Description

Author:
  Eggert Ehmke

Definition at line 31 of file filterdialog.h.

The documentation for this class was generated from the following files:

- kshowmail/filterdialog.h
- kshowmail/filterdialog.cpp